# KorAP-OAuth2-Web-Client

A simple java client demonstrating the procedure to obtain KorAP authorization. 

The client provides a service at http://localhost:7071/authorize to send an authorization request to KorAP authorization server.

The client provides a redirect URI at http://localhost:7071/redirect expecting an authorization code from KorAP authorization server and exchanging it with an access token.


## Setup for testing using KorAP test server

Copy the [application.properties](https://github.com/KorAP/KorAP-OAuth2-Web-Client/blob/master/src/main/resources/application.properties) to the root project folder.

Fill in the client id and secret (client credentials are obtained by registering a client at the test server).

Change ```korap.authorize.url``` and ```korap.token.url```.